Skip to main content
cURL
curl --request GET \
  --url https://api.sandbox.verisoul.ai/list/{list_name} \
  --header 'x-api-key: <api-key>'
import requests

url = "https://api.sandbox.verisoul.ai/list/{list_name}"

headers = {"x-api-key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};

fetch('https://api.sandbox.verisoul.ai/list/{list_name}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "request_id": "bb152ba5-8311-4192-846f-1670a581becb",
  "description": "List of US based users",
  "accounts": [
    "john-doe",
    "john-doe-2",
    "amy-williams",
    "frank-smith",
    "mark-johnson"
  ]
}
{
"message": "List not found",
"statusCode": 400
}

Authorizations

x-api-key
string
header
required

Path Parameters

list_name
string
required

Name of the list to retrieve accounts from

Response

List accounts response

request_id
string

The ID of the request

description
string

Description of the list's purpose

accounts
string[]

Array of account IDs in the list